## haskell-text-format 0.3.2

=== benchmarks/Makefile ===
ghc := ghc

programs := bm simple c-printf c-wprintf

all: $(programs)

bm: Benchmarks.hs
	$(ghc) -rtsopts -O -o $@ $<

simple: Simple.hs
	$(ghc) -rtsopts -O -o $@ $<

c-printf: printf.c
	$(CC) -O2 -o $@ $<

c-wprintf: wprintf.c
	$(CC) -O2 -o $@ $<

clean:
	-rm -f $(programs) *.hi *.o *.hp

## haskell-text-format 0.3.1.1

=== debian/changelog ===
haskell-text-format (0.3.1.1-2) unstable; urgency=medium

  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:06 -0400

haskell-text-format (0.3.1.1-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Sun, 04 Feb 2018 16:18:35 -0500

=== debian/control ===
Source: haskell-text-format
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: optional
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.8),
 cdbs,
 ghc,
 ghc-prof,
 libghc-double-conversion-dev (>= 0.2.0.0),
 libghc-double-conversion-prof (>= 0.2.0.0),
 libghc-old-locale-dev,
 libghc-old-locale-prof,
 libghc-text-dev (>= 0.11.0.8),
 libghc-text-prof (>= 0.11.0.8),
Build-Depends-Indep: ghc-doc,
 libghc-double-conversion-doc,
 libghc-old-locale-doc,
 libghc-text-doc,
Standards-Version: 4.1.4
Homepage: https://github.com/bos/text-format
X-Description: text formatting
 A text formatting library optimized for both ease of use and high
 performance.

Package: libghc-text-format-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-text-format-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-text-format-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-text-format 0.3.2

=== debian/changelog ===
haskell-text-format (0.3.2-3) unstable; urgency=medium

  * Patch for newer base.

 -- Clint Adams <clint@debian.org>  Tue, 27 Aug 2019 17:56:11 -0400

haskell-text-format (0.3.2-2) unstable; urgency=medium

  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:44 +0300

haskell-text-format (0.3.2-1) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 13:19:18 +0300

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,20 @@
 Uploaders: Clint Adams <clint@debian.org>
 Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 9),
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 10),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.8),
  cdbs,
- ghc,
+ ghc (>= 8.4.3),
  ghc-prof,
  libghc-double-conversion-dev (>= 0.2.0.0),
  libghc-double-conversion-prof (>= 0.2.0.0),
  libghc-old-locale-dev,
  libghc-old-locale-prof,
- libghc-text-dev (>= 0.11.0.8),
- libghc-text-prof (>= 0.11.0.8),
 Build-Depends-Indep: ghc-doc,
  libghc-double-conversion-doc,
  libghc-old-locale-doc,
- libghc-text-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage: https://github.com/bos/text-format
 X-Description: text formatting
  A text formatting library optimized for both ease of use and high

=== debian/watch ===
version=3
https://hackage.haskell.org/package/text-format/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
